# 版本升级 (Upgrade)

# 升级到 3.1 版本

提示

3.1 版本全新设计了项目架构、配置方式与插件管理方式。2.x 与 1.x 版本升级需要重新配置部署。

升级流程:

  1. 下载解压 3.1 版本到新安装目录,例如 /opt/emqx-3.1/;
  2. 参考旧版本 etc/vm.args、etc/emqttd.config 或 etc/emq.conf,配置 3.1 版本的 etc/emqx.conf;
  3. 重新配置插件 etc/plugins/${your-plugin}.conf;
  4. 编辑插件加载文件 data/loaded_plugins;
  5. 停止旧版本,启动新版。

# 2.0 升级到 2.0.3 版本

升级流程:

  1. 下载解压 2.0.3 版本到新安装目录,例如 /opt/emqttd-2.0.3/;
  2. 旧版本的 'etc/' 配置文件、'data/' 数据文件覆盖到新版目录;
  3. 停止旧版本,启动新版。

# 升级到 2.0 版本

提示

2.0 版本全新设计了项目架构、配置方式与插件管理方式。1.x 版本升级需要重新配置部署。

升级流程:

  1. 下载解压 2.0 版本到新安装目录,例如 /opt/emqttd-2.0/
  2. 参考旧版本 etc/vm.args、etc/emqttd.config,配置 2.0 版本的 etc/emq.conf
  3. 重新配置插件 etc/plugins/${your-plugin}.conf
  4. 编辑插件加载文件 data/loaded_plugins
  5. 停止旧版本,启动新版。

# 升级到 1.1.2 版本

提示

1.0 以后版本可平滑升级到 1.1.2

升级流程:

  1. 下载解压 1.1.2 版本到新安装目录,例如 /opt/emqttd_112;
  2. 旧版本的 'etc/' 配置文件、'data/' 数据文件覆盖到新版目录;
  3. 如果有加载插件,将旧版插件配置文件覆盖到新版;
  4. 停止旧版本,启动新版。